geos::precision::EnhancedPrecisionOp Class Reference

Provides versions of Geometry spatial functions which use enhanced precision techniques to reduce the likelihood of robustness problems. More...

`#include <EnhancedPrecisionOp.h>`

## Static Public Member Functions

static std::unique_ptr< geom::Geometry > | intersection (const geom::Geometry *geom0, const geom::Geometry *geom1)
| Computes the set-theoretic intersection of two Geometrys, using enhanced precision.
static std::unique_ptr< geom::Geometry > | Union (const geom::Geometry *geom0, const geom::Geometry *geom1)
static std::unique_ptr< geom::Geometry > | difference (const geom::Geometry *geom0, const geom::Geometry *geom1)
static std::unique_ptr< geom::Geometry > | symDifference (const geom::Geometry *geom0, const geom::Geometry *geom1)
static std::unique_ptr< geom::Geometry > | buffer (const geom::Geometry *geom, double distance)

## Detailed Description

Provides versions of Geometry spatial functions which use enhanced precision techniques to reduce the likelihood of robustness problems.

## Member Function Documentation

## buffer()

std::unique_ptr< geom::Geometry > geos::precision::EnhancedPrecisionOp::buffer | ( | const geom::Geometry * | geom,
|  | double | distance )

static

Computes the buffer of a Geometry, using enhanced precision. This method should no longer be necessary, since the buffer algorithm now is highly robust.

Parameters

  geom | the first Geometry
  distance | the buffer distance

Returns
  the Geometry representing the buffer of the input Geometry.

## difference()

std::unique_ptr< geom::Geometry > geos::precision::EnhancedPrecisionOp::difference | ( | const geom::Geometry * | geom0,
|  | const geom::Geometry * | geom1 )

static

Computes the set-theoretic difference of two Geometrys, using enhanced precision.

Parameters

  geom0 | the first Geometry
  geom1 | the second Geometry

Returns
  the Geometry representing the set-theoretic difference of the input Geometries.

## intersection()

std::unique_ptr< geom::Geometry > geos::precision::EnhancedPrecisionOp::intersection | ( | const geom::Geometry * | geom0,
|  | const geom::Geometry * | geom1 )

static

Computes the set-theoretic intersection of two Geometrys, using enhanced precision.

Parameters

  geom0 | the first Geometry
  geom1 | the second Geometry

Returns
  the Geometry representing the set-theoretic intersection of the input Geometries.

## symDifference()

std::unique_ptr< geom::Geometry > geos::precision::EnhancedPrecisionOp::symDifference | ( | const geom::Geometry * | geom0,
|  | const geom::Geometry * | geom1 )

static

Computes the set-theoretic symmetric difference of two Geometrys, using enhanced precision.

Parameters

  geom0 | the first Geometry
  geom1 | the second Geometry

Returns
  the Geometry representing the set-theoretic symmetric difference of the input Geometries.

## Union()

std::unique_ptr< geom::Geometry > geos::precision::EnhancedPrecisionOp::Union | ( | const geom::Geometry * | geom0,
|  | const geom::Geometry * | geom1 )

static

Computes the set-theoretic union of two Geometrys, using enhanced precision.

Parameters

  geom0 | the first Geometry
  geom1 | the second Geometry

Returns
  the Geometry representing the set-theoretic union of the input Geometries.

The documentation for this class was generated from the following file:

- EnhancedPrecisionOp.h